Subject: Re: bug#17528: [mktemp] Not a bug.... a feature proposal

From: Matthieu Fronton <[email-masked]>
Date: Tue, 20 May 2014 08:50:29 +0200

On Mon, May 19, 2014 at 6:08 PM, Eric Blake <[email-masked]> wrote:
> tag 17528 notabug
> thanks
>
> On 05/19/2014 07:27 AM, Matthieu Fronton wrote:
>> Hello,
>>
>> First i'd like to apologize because this message is about for a new feature
>> proposal, not a bug.
>> I send it to the only mail I have found in the man page. Sorry for that.
>
> One person's feature request is another person's bug for missing
> functionality, so you mailed the correct place.
>
>>
>> I just wanted to propose to add the last generate temporary file's full path
>> in a predefined environment variable.
>
> Umm, how do you propose to do that?  Child processes cannot modify the
> environment of the parent.  The only way to invoke mktemp is by spawning
> a child process - but that means that there is no way for mktemp to
> modify a predefined environment variable.  That is, unless you are
> proposing to add a new shell builtin (so that a child process is not
> spawned), but then your patch would need to be against the shell (we
> don't maintain the shell here in coreutils).
>

I didn't realise this at first but sounds obvious now I have switch my
brain back on.

Thanks
Matthieu

> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>